com.io7m.r2.meshes.arrayobject

## Interface R2MeshArrayObjectSynchronousAdapterType

- All Superinterfaces:
    R2ErrorConsumerType, R2MeshParserInterleavedListenerType
  All Known Implementing Classes:
    R2MeshArrayObjectSynchronousAdapter

      public interface R2MeshArrayObjectSynchronousAdapterType
      extends R2MeshParserInterleavedListenerType

  The type of synchronous adapters that accept mesh data from a parser and construct buffers on the GPU. In this case, synchronous refers to the fact that the GPU operations will occur on the same thread that is performing I/O and parsing.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.io7m.jcanephora.core.JCGLArrayBufferType` | `arrayBuffer()`
    `com.io7m.jcanephora.core.JCGLArrayObjectType` | `arrayObject()`
    `Optional<Throwable>` | `errorException()`
    `String` | `errorMessage()`
    `boolean` | `hasFailed()` Indicate whether or not parsing has failed.
    `com.io7m.jcanephora.core.JCGLIndexBufferType` | `indexBuffer()`

    - ### Methods inherited from interface com.io7m.r2.meshes.R2MeshParserInterleavedListenerType

      `onEventFinished, onEventStart, onEventTriangle, onEventTriangleCount, onEventTrianglesFinished, onEventVertexCount, onEventVertexFinished, onEventVertexNormal, onEventVertexPosition, onEventVertexStarted, onEventVertexTangent, onEventVertexUV, onEventVerticesFinished`

    - ### Methods inherited from interface com.io7m.r2.meshes.R2ErrorConsumerType

      `onError`

- - ### Method Detail

    - #### hasFailed

          boolean hasFailed()

      Indicate whether or not parsing has failed.
      Returns:
        `true` iff parsing failed.

    - #### arrayBuffer

          com.io7m.jcanephora.core.JCGLArrayBufferType arrayBuffer()
                                                            throws IllegalStateException

      Returns:
        The created array buffer
      Throws:
        `IllegalStateException` - Iff parsing has failed

    - #### indexBuffer

          com.io7m.jcanephora.core.JCGLIndexBufferType indexBuffer()
                                                            throws IllegalStateException

      Returns:
        The created index buffer
      Throws:
        `IllegalStateException` - Iff parsing has failed

    - #### arrayObject

          com.io7m.jcanephora.core.JCGLArrayObjectType arrayObject()
                                                            throws IllegalStateException

      Returns:
        The created array object
      Throws:
        `IllegalStateException` - Iff parsing has failed

    - #### errorException

          Optional<Throwable> errorException()
                                      throws IllegalStateException

      Returns:
        The exception that occurred during parsing, if any
      Throws:
        `IllegalStateException` - Iff parsing did not fail
      See Also:
        `hasFailed()`

    - #### errorMessage

          String errorMessage()
                       throws IllegalStateException

      Returns:
        The error message that occurred during parsing, if any
      Throws:
        `IllegalStateException` - Iff parsing did not fail
      See Also:
        `hasFailed()`

Copyright © 2017 <code@io7m.com> http://io7m.com